Bug 1007435 - Cannot construct org.infinispan.util.KeyValuePair as it does not have a no-args constructor
Summary: Cannot construct org.infinispan.util.KeyValuePair as it does not have a no-ar...
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.2.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ER5
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-12 13:32 UTC by Vitalii Chepeliuk
Modified: 2014-11-30 21:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3498 Major Resolved Cannot construct org.infinispan.util.KeyValuePair as it does not have a no-args constructor 2014-06-04 11:49:14 UTC

Description Vitalii Chepeliuk 2013-09-12 13:32:09 UTC
See description here
https://issues.jboss.org/browse/ISPN-3498

Comment 1 JBoss JIRA Server 2013-09-12 13:37:08 UTC
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3498

There are many classes that have this problem, not only ImmortalCacheEntry. If you decide to implement the no-arg constructor, it is best to open the Jenkins run and look what all classes are affected.

Comment 3 Mircea Markus 2013-10-09 15:05:42 UTC
the corresponding jira has been solved, this should be tested.

Comment 4 JBoss JIRA Server 2013-10-17 13:05:43 UTC
Vitalii Chepeliuk <vchepeli@redhat.com> updated the status of jira ISPN-3498 to Reopened

Comment 5 JBoss JIRA Server 2013-10-17 13:05:43 UTC
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3498

Other classes nre no-args constructor
Cannot construct org.infinispan.container.entries.ImmortalCacheEntry 
Cannot construct org.infinispan.container.entries.TransientCacheEntry
Cannot construct org.infinispan.container.entries.MortalCacheEntry
Cannot construct org.infinispan.container.entries.TransientMortalCacheEntry
Cannot construct org.infinispan.metadata.EmbeddedMetadata
Cannot construct org.infinispan.metadata.EmbeddedMetadata$EmbeddedExpirableMetadata
Cannot construct org.infinispan.commons.io.ByteBufferImpl

Comment 6 JBoss JIRA Server 2013-10-17 13:05:59 UTC
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3498

Other classes need no-args constructor
Cannot construct org.infinispan.container.entries.ImmortalCacheEntry 
Cannot construct org.infinispan.container.entries.TransientCacheEntry
Cannot construct org.infinispan.container.entries.MortalCacheEntry
Cannot construct org.infinispan.container.entries.TransientMortalCacheEntry
Cannot construct org.infinispan.metadata.EmbeddedMetadata
Cannot construct org.infinispan.metadata.EmbeddedMetadata$EmbeddedExpirableMetadata
Cannot construct org.infinispan.commons.io.ByteBufferImpl

Comment 7 JBoss JIRA Server 2013-10-17 13:07:29 UTC
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3498

Other classes need no-args constructor
Cannot construct org.infinispan.container.entries.ImmortalCacheEntry 
Cannot construct org.infinispan.container.entries.TransientCacheEntry
Cannot construct org.infinispan.container.entries.MortalCacheEntry
Cannot construct org.infinispan.container.entries.TransientMortalCacheEntry
Cannot construct org.infinispan.metadata.EmbeddedMetadata
Cannot construct org.infinispan.metadata.EmbeddedMetadata$EmbeddedExpirableMetadata
Cannot construct org.infinispan.commons.io.ByteBufferImpl 
You can see it here https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/jdg-62-ispn-testsuite-rhel-azul/23/testReport/

Comment 9 Vitalii Chepeliuk 2013-12-16 09:39:19 UTC
Problem xstream library remains only in Custom52xLoaderTest
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/jdg-62-ispn-testsuite-rhel-azul/30/testReport/


Note You need to log in before you can comment on or make changes to this bug.